=== gui/wxpython/Makefile ===
MODULE_TOPDIR = ../..

SUBDIRS = docs scripts
EXTRA_CLEAN_FILES = menustrings.py build_ext.pyc
CLEAN_SUBDIRS = scripts

include $(MODULE_TOPDIR)/include/Make/Dir.make
include $(MODULE_TOPDIR)/include/Make/Doxygen.make
include $(MODULE_TOPDIR)/include/Make/Python.make

ETCDIR = $(ETC)/wxpython

SRCFILES := $(wildcard compat/* gui_modules/* icons/*.* icons/silk/* images/* xml/*) gis_set.py wxgui.py README
DSTFILES := $(patsubst %,$(ETCDIR)/%,$(SRCFILES)) $(patsubst %.py,$(ETCDIR)/%.pyc,$(filter %.py,$(SRCFILES)))

default: install_scripts
	$(MAKE) parsubdirs

clean: cleansubdirs

install_scripts:
	-for dir in '' compat gui_modules icons icons/silk images xml; do \
	if [ ! -d $(ETCDIR)/$$dir ] ; then $(MKDIR) $(ETCDIR)/$$dir ; fi ; \
	done
	$(MAKE) $(DSTFILES)
	$(MAKE) menustrings.py

$(ETCDIR)/%: %
	$(INSTALL_DATA) $< $@

menustrings.py: gui_modules/menudata.py $(ETCDIR)/xml/menudata.xml $(ETCDIR)/xml/menudata_modeler.xml 
	GISBASE="$(GISBASE)" \
	$(PYTHON) $< > $@
	GISBASE="$(GISBASE)" \
	$(PYTHON) $< "modeler" >> $@

#doxygen:
DOXNAME=wxpython
