=== visualization/nviz2/cmd/Makefile ===
MODULE_TOPDIR = ../../..

PGM = nviz_cmd

ifeq ($(OPENGL_X11),1)
OGL_LIBS := $(OPENGLULIB) $(OPENGLLIB) $(XLIBPATH) $(XLIB) -lXmu -lXext $(XEXTRALIBS) $(MATHLIB)
endif
ifeq ($(OPENGL_WINDOWS),1)
OGL_LIBS := $(OPENGLULIB) $(OPENGLLIB) -lgdi32 $(MATHLIB)
endif
ifeq ($(OPENGL_AQUA),1)
OGL_LIBS := $(OPENGLULIB) $(OPENGLLIB) $(MATHLIB)
endif

EXTRA_INC = $(VECT_INC)
EXTRA_CFLAGS = $(INC) \
	$(TIFFINCPATH) $(DSPINC) \
	$(VECT_CFLAGS) $(OPENGLINC) 

ifeq ($(OPENGL_X11),1)
EXTRA_CFLAGS += $(XCFLAGS)
endif

EXTRA_LDFLAGS = $(OGL_LIBS)

LIBES = $(GISLIB) $(OGSFLIB) $(NVIZLIB) $(G3DLIB)
DEPENDENCIES = $(GISDEP) $(NVIZDEP)

include $(MODULE_TOPDIR)/include/Make/Module.make

ifneq ($(USE_OPENGL),)
default: cmd
endif
