=== debian/changelog ===
grass (6.4.1-2) unstable; urgency=low

  [ Hamish Bowman ]
  * Desktop icon cleanup.
  * Recommend wx; suggest gs, python-imaging, python-rpy2.
  * Remove more obsolete swig references.
  * grass-dev: further support for building add-ons.

  [ Francesco Paolo Lovergine ]
  * Now reset debian/rules to use wx-config current alternative.
    (closes: #655799)
  * Now added python-support to manage compiled python modules.
    This makes lintian happy about package-installs-python-bytecode.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 19 Jan 2012 14:04:52 +0100

grass (6.4.1-1) unstable; urgency=low

  * New upstream version.
  * Now build-dep on libjpeg-dev and current libreadline6-dev.
  * Removed patch swig: obsolete.
  * Policy bumped to 3.9.2, without changes.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 13 Apr 2011 17:08:41 +0200

grass (6.4.0-2) unstable; urgency=low

  * Ready for unstable.
  * Removed pre-release patches inserted in the squeeze latest upload.

  * Merged from 6.4.0-1 in experimental:
      - Added missing docs used by GUIs: AUTHORS, contributors CSV files,
        COPYING and a symlink to GPL-2 license in /usr/share/common-licenses.
        Those files need to be symlinked in GISBASE to be found at run-time.
        Thanks AlanB and Hamish for pointing the problem.
        (closes: #594492)
      - New upstream final release 6.4.0.
      - Note that now default interface is the wx one, so (wx)python related suggestions
        have been promoted to proper dependencies. For the same reason I would
        consider cut/paste problems of the past Tk interface obsolete.
        (closes: #305249)
      - Policy bumped to 3.9.1. No changes required.
      - Added libgdal1-dev dep to grass-dev list of dependencies.
        (closes: #598706)

  * Merged from 6.4.0~rc6+42329-3:
      - Now builds against Tcl/Tk >= 8.5.
        (closes: #582595)
      - Removed obsolete grass-doc conflicts/replaces.

  * Moved to source format 3.0 and quilt patch support.
  * Moved from svn to git and updated Vcs-* fields in debian/control* as due.
  * Merged experimental changelogs.
  * Now saves and restores upstream config.{sub|guess} to avoid annoying warnings.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 16 Feb 2011 17:04:43 +0100

grass (6.4.0-1) experimental; urgency=low

  * New upstream final release.
  * Note that now default interface is the wx one, so (wx)python related suggestions
    have been promoted to proper dependencies. For the same reason I would
    consider cut/paste problems of the past Tk interface obsolete.
    (closes: #305249)
  * Policy bumped to 3.9.1. No changes required.
  * Added libgdal1-dev dep to grass-dev list of dependencies.
    (closes: #598706)
  * Merged from 6.4.0~rc6+42329-3:
         Added missing docs used by GUIs: AUTHORS, contributors CSV files,
         COPYING and a symlink to GPL-2 license in /usr/share/common-licenses.
         Those files need to be symlinked in GISBASE to be found at run-time.
         Thanks AlanB and Hamish for pointing the problem.
         (closes: #594492)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 14 Oct 2010 16:08:06 +0200

grass (6.4.0~rc6+42329-3) unstable; urgency=low

  * Merging main fixes taken from final 6.4.0 release. The big patch has been
    splitted in a few sub-patches for specific improvements.
        + localization.dpatch: updates to .po files.
        + doc.dpatch: various documentation fixes with update to main URL too. 
        + gcs.dpatch: Port GDAL's http://trac.osgeo.org/gdal/changeset/19810 
              to fix missing towsg84 for EPSG codes: 3120 2172 2173 2174 2175 
              3333 3334 3335 3329 3330 3331 3332 3328 4179. 
              It also forces ETRS89 datum to be
              interpreted as 0,0,0,0,0,0,0 instead of 0.000,0.000,0.000 (i.e.
              overrides the datum.table ETRS89 setting, too). More info:
              http://lists.osgeo.org/pipermail/grass-dev/2010-June/050918.html,
              http://trac.osgeo.org/gdal/ticket/3579.
        + g.extension.dpatch: added Markus g.extension script to download and
          eventually install extension from GRASS svn add-ons repo.
        + scripts.dpatch: some fixes to a blounce of scripts: 
                m.proj - added GUI section
                r.mask - allow r.mask to work in GISDBASE
                v.in.gpsbabel - fixed broken awk statement
                v.in.mapgen - better describe what v.in.mapgen will load
                r.regression.line -  rename variable from italian so it 
                     doesn't get confused with median, add F-test to key
        + g.proj: only split at space characters if there is a + character
                  following
        + clean_nodes: in Vlib fixes segfault when cleaning small angles 
                   at nodes
        + read_sig.c: catch empty sig files
        + convert.c: added non-standard datum name lookup
        + r.grow.distance: bugfix for distance calculation
        + geom.c: fixes bug for min_area
        + flythrough: fixes NVIZ fly mode on 64bit. See #46 from upstream trac.
        + filldepr.cc: r.terraflow: backport fix for #1006 from upstream trac.
  * Added missing docs used by GUIs: AUTHORS, contributors CSV files, 
    COPYING and a symlink to GPL-2 license in /usr/share/common-licenses.
    Those files need to be symlinked in GISBASE to be found at run-time.
    Thanks AlanB and Hamish for pointing the problem.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 21 Sep 2010 16:45:05 +0200

grass (6.4.0~rc6+42329-2) experimental; urgency=low

  * Now builds against Tcl/Tk 8.5.
    (closes: #582595)
  * Removed obsolete grass-doc conflicts/replaces.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 01 Jun 2010 14:38:01 +0200

grass (6.4.0~rc6+42329-1) unstable; urgency=low

  * New upstream snapshot with some fixes in modules.


