=== debian/control ===
Source: grass
Section: science
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
Build-depends: flex, bison, libreadline-dev | libreadline6-dev, libncurses5-dev, lesstif2-dev, debhelper (>= 8), 
 libtiff4-dev, tcl-dev (>= 8.5), tk-dev (>= 8.5), libfftw3-dev, libxmu-dev, libglu1-mesa-dev | libglu1-xorg-dev, 
 libfreetype6-dev, autoconf2.13, autotools-dev, libgdal1-dev (>= 1.5.0), libproj-dev, proj-bin, libjpeg-dev, 
 libpng12-dev, libpq-dev, unixodbc-dev, doxygen, fakeroot, libmysqlclient15-dev, graphviz, libsqlite3-dev, python-wxgtk2.8,
 libcairo2-dev, libwxgtk2.8-dev, python-dev (>= 2.5), python-support (>= 0.90)
Standards-Version: 3.9.2
Build-Conflicts: wx2.6-headers
Homepage: http://grass.osgeo.org/
Vcs-Browser: http://git.debian.org/?p=pkg-grass/grass.git
Vcs-Git: git://git.debian.org/git/pkg-grass/grass.git

Package: grass
Section: science
Architecture: any
Depends: ${shlibs:Depends}, xterm | x-terminal-emulator, python-numpy,
 python-opengl, python-wxgtk2.8, ${misc:Depends}, ${python:Depends}
Suggests: grass-doc, gdal-bin, proj-bin, e00compr, avce00, gpsbabel, gpstrans,
 gnuplot, xml2, wget | curl, netpbm
Recommends: ghostscript, python-wxgtk2.8
Provides: grass641
Description: Geographic Resources Analysis Support System 
 Commonly referred to as GRASS, this is a Geographic Information
 System (GIS) used for geospatial data management and analysis,
 image processing, graphics/map production, spatial modeling, and
 visualization. GRASS is currently used in academic and commercial
 settings around the world, as well as by many government agencies
 and environmental consulting companies.

Package: grass-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Geographic Resources Analysis Support System documentation
 Commonly referred to as GRASS, this is a Geographic Information
 System (GIS) used for geospatial data management and analysis,
 image processing, graphics/map production, spatial modeling, and
 visualization. GRASS is currently used in academic and commercial
 settings around the world, as well as by many government agencies
 and environmental consulting companies.
 .
 This package contains HTML documentation for the GRASS system.

Package: grass-dev
Section: devel
Architecture: any
Depends: grass (= ${binary:Version}), fakeroot, libproj-dev, libgdal1-dev, ${misc:Depends}
Suggests: pkg-config
Provides: grass64-dev
Description: GRASS GIS development files
 Commonly referred to as GRASS, this is a Geographic Information
 System (GIS) used for geospatial data management and analysis,
 image processing, graphics/map production, spatial modeling, and
 visualization. GRASS is currently used in academic and commercial
 settings around the world, as well as by many government agencies
 and environmental consulting companies.
 .
 This package contains the header files for developing with GRASS.
 Install this package if you wish to develop software that manipulates
 GRASS data sets.
